---
title: VREyeParameters.fieldOfView
slug: Web/API/VREyeParameters/fieldOfView
tags:
  - API
  - Deprecated
  - Experimental
  - Property
  - Reference
  - VR
  - VREyeParameters
  - Virtual Reality
  - WebVR
  - fieldOfView
---
<p>{{APIRef("WebVR API")}}{{SeeCompatTable}}{{Deprecated_header}}</p>

<p>The <strong><code>fieldOfView</code></strong> read-only property of the {{domxref("VREyeParameters")}} interface returns a {{domxref("VRFieldOfView")}} object <dfn>describing t</dfn>he current field of view for the eye, which can vary as the user adjusts their interpupillary distance (IPD).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myFOV = eyeParametersInstance.fieldOfView;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("VRFieldOfView")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRFieldOfView", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vreyeparameters-fieldofview', 'fieldOfView')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VREyeParameters.fieldOfView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
